@echo off
color 0a
title Get IPv4 Address 1.0

SETLOCAL ENABLEEXTENSIONS
SETLOCAL ENABLEDELAYEDEXPANSION

set "CS_1=Wireless LAN adapter Wireless Network Connection:"
set "CS_2=IPv4 Address. . . . . . . . . . . "
set _TMP=%TEMP%\.gia.tmp

rem Stage. 1: 
:PROC_1
cd . > "%_TMP%"
for /f "tokens=*" %%i in ('ipconfig') do (
	>> "%_TMP%" echo %%i
)
for /f "usebackq tokens=1* delims=:" %%i in (`findstr /n /c:"%CS_1%" "%_TMP%"`) do (
	set /a POS_BEGIN=%%i
	goto :PROC_2
)
echo Err: PROC_1
goto :NORMAL_EXIT

rem Stage. 2: 
:PROC_2
set /a INDEX=0
for /f "usebackq tokens=1* delims=:" %%i in ("%_TMP%") do (
	set /a INDEX+=1
	if !INDEX! gtr %POS_BEGIN% (
		if "%%i" equ "%CS_2%" (
			set _IP=%%j
			goto :PROC_3
		)
	)
)
echo Err: PROC_2
goto :NORMAL_EXIT

rem Stage. 3: 
:PROC_3
for /f "tokens=*" %%i in ("%_IP%") do (
	rem echo %%i| clip
	set /p "_CLIP=%%i" < nul | clip
	echo Paste it.
	goto :NORMAL_EXIT
)
echo Err: PROC_3
goto :NORMAL_EXIT

:NORMAL_EXIT
if exist "%_TMP%" del "%_TMP%"
pause
exit
